Cleanup old sessions

- « SessionHandlerInterface::destroy

- SessionHandlerInterface::open »

- PHP Manual
- SessionHandlerInterface
- Cleanup old sessions

# SessionHandlerInterface::gc

(PHP 5 >= 5.4.0, PHP 7, PHP 8)

SessionHandlerInterface::gc — Cleanup old sessions

### Description

public SessionHandlerInterface::gc(int `$max_lifetime`): int|false

Cleans up expired sessions. Called by session_start(), based on session.gc_divisor, session.gc_probability and session.gc_maxlifetime settings.

### Parameters

`max_lifetime`

  Sessions that have not updated for the last `max_lifetime` seconds will be removed.

### Return Values

Returns the number of deleted sessions on success, or `false` on failure. Note this value is returned internally to PHP for processing.

### Changelog

Version | Description
--- | ---
7.1.0 | Prior to this version, the function returned `true` on success.